Subject: Re: pipe data form windows program to cygwin program
From: "Bob Byrnes" <[email-masked]>
To: [email-masked]
Date: Wed, 27 Oct 2004 15:37:37 -0400

> I'm writing a program which need to send data to a cygwin program using
> a pipe on the stdin (actually data to compress using gzip).
> 
> All is working well but at the end of the program when i close the pipe
> it seems that gzip doesn't see that the pipe has been closed and so it
> stay open.

Are you *sure* that you have closed *all* of the write handles to the pipe?
If any write handles remain open, then EOF won't be delivered to the
read side of the pipe.

> I kind of think there must be something with windows<->cygwin EOF but i
> can't find out what.
> 
> Is anyone has an idea ?

If you can provide a (very) simple test case that exhibits allegedly
incorrect behavior, that would be helpful.

--
Bob

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/